See Stacksync in action with a solution architect. Book a demo ↗
SyncsWebhooks

Sync webhooks

Delete a sync webhook

DELETE
/v1/workspaces/{workspace_id}/bases/{base_id}/webhooks/{webhook_id}

Remove a webhook from a sync. Notifications of its type stop being posted to its URL.

Authorization

Authorizationstringheaderrequired

Bearer <key>, where <key> is a workspace API key or a user API key. See Authentication.

Path Parameters

workspace_id*integer

The workspace the resources belong to

base_id*string

The sync (a sync is called a base in these paths)

Formatuuid
webhook_id*string

The webhook to delete

Query Parameters

region*string

Data region of the sync

Value in"besg""usnv"

Response Body

The webhook deleted

application/json
  1. response

The deleted webhook

msg*string

Successfully deleted webhook

webhook_id*string

The webhook

Formatuuid
Delete a sync webhook
curl -X DELETE 'https://api.stacksync.com/v1/workspaces/0/bases/497f6eca-6276-4993-bfeb-53cbbbba6f08/webhooks/string?region=besg'
{  "msg": "Successfully deleted webhook",  "webhook_id": "6a1b2c3d-4e5f-4a6b-8c7d-9e0f1a2b3c4d"}